Get lists by userId
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/list/user/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/list/user/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod01.oms.fabric.inc/api/v2/list/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "Wishlist",
"userId": null,
"listId": "5349b4ddd2781d08c09890f4",
"listType": "Wish list",
"notes": "Add items to your wishlist to purchase later",
"attributes": {
"attr1": "value1",
"attr2": "value2"
},
"count": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"message": "Bad Request"
}{
"message": "Object Not Found."
}{
"message": "Internal Server Error"
}List
Get lists by userId
Retrieves lists created for a specific user, by user ID.
GET
/
list
/
user
/
{userId}
Get lists by userId
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
return Lists
Example:
"Wishlist"
Example:
null
Example:
"5349b4ddd2781d08c09890f4"
Example:
"Wish list"
Example:
"Add items to your wishlist to purchase later"
Show child attributes
Show child attributes
Example:
{ "attr1": "value1", "attr2": "value2" }
Number of items added to the list.
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I
